package edu.georgetown.gucs.utility;

import java.awt.Font;

/**
 * Global information
 * 
 * @author Clay Shields
 * @author Lindsay Neubauer
 */
public final class Global {
  /** Monitor that writes its buffer to a GZIP log file */
  public final static Monitor monitor = new Monitor();

  /** Location of precision score in array of experiment/trial results */
  public final static int PRECISION = 0;
  /** Location of recall score in array of experiment/trial results */
  public final static int RECALL = 1;
  /** Location of f-score in array of experiment/trial results */
  public final static int FSCORE = 2;
  /** Location of true-positive count in array of experiment/trial results */
  public final static int TRUE_POSITIVE = 3;
  /** Location of false-positive count in array of experiment/trial results */
  public final static int FALSE_POSITIVE = 4;
  /** Location of true-negative count in array of experiment/trial results */
  public final static int TRUE_NEGATIVE = 5;
  /** Location of false-negative count in array of experiment/trial results */
  public final static int FALSE_NEGATIVE = 6;
  /** Location of dictionary size in array of experiment/trial results */
  public final static int DICTIONARY_SIZE = 7;

  /** Location of mangler count in array of experiment/trial results */
  public final static int COUNT = 3;

  /** GNU Unifont, PLAIN, size 12 */
  public final static Font unifontFont12 = new Font("GNU Unifont", Font.PLAIN, 12);
  
  /** GNU Unifont, PLAIN, size 14 */
  public final static Font unifontFont14 = new Font("GNU Unifont", Font.PLAIN, 14);

  /** GNU Unifont, BOLD, size 12 */
  public final static Font boldUnifontFont = new Font("GNU Unifont", Font.BOLD, 12);

  /** GNU Unifont, BOLD, size 14 */
  public final static Font boldUnifontFont14 = new Font("GNU Unifont", Font.BOLD, 14);

  /** Value indicating to display all files in GUI */
  public final static boolean ALL_FILES = true;

  /** Value indicating to display only XML files in GUI */
  public final static boolean XML_ONLY = false;
}
